<<

# importxml

- NAME
- SYNOPSIS
- OPTIONS
- DESCRIPTION

# NAME

importxml - Import bugzilla bug data from xml.

# SYNOPSIS

        importxml.pl [options] [file ...]

     Options:
           -? --help        brief help message
           -v --verbose     print error and debug information.
                            Multiple -v increases verbosity
           -m --sendmail    send mail to recipients with log of bugs imported
           --attach_path    The path to the attachment files.
                            (Required if encoding="filename" is used for attachments.)

# OPTIONS

-?

          Print a brief help message and exits.

-v

          Print error and debug information. Mulltiple -v increases verbosity

-m

          Send mail to exporter with a log of bugs imported and any errors.

# DESCRIPTION

         This script is used to import bugs from another installation of bugzilla.
         It can be used in two ways.
         First using the move function of bugzilla
         on another system will send mail to an alias provided by
         the administrator of the target installation (you). Set up an alias
         similar to the one given below so this mail will be automatically
         run by this script and imported into your database.  Run 'newaliases'
         after adding this alias to your aliases file. Make sure your sendmail
         installation is configured to allow mail aliases to execute code.

         bugzilla-import: "|/usr/bin/perl /opt/bugzilla/importxml.pl --mail"

         Second it can be run from the command line with any xml file from
         STDIN that conforms to the bugzilla DTD. In this case you can pass
         an argument to set whether you want to send the
         mail that will be sent to the exporter and maintainer normally.

         importxml.pl [options] bugsfile.xml

<<